Ayuda

0

Odoo default access rights error message, how solving

Avatar
Bahri Can

Hello,

I accidentally deleted the default user. It does not work in other add-ons connected to it. Payroll, purchase, fingerprint scanner etc. Will I correct the database if I create user information that I deleted? Or how to solve it with other methods.

Thank you



Error:

Odoo Server Error


Traceback (most recent call last):

  File "/opt/odoo/odoo/odoo/tools/cache.py", line 84, in lookup

    r = d[key]

  File "/opt/odoo/odoo/odoo/tools/func.py", line 68, in wrapper

    return func(self, *args, **kwargs)

  File "/opt/odoo/odoo/odoo/tools/lru.py", line 44, in __getitem__

    a = self.d[obj].me

KeyError: ('ir.model.data', <function IrModelData.xmlid_lookup at 0x7f11b2540ea0>, 'base.default_user')


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/opt/odoo/odoo/odoo/http.py", line 650, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/opt/odoo/odoo/odoo/http.py", line 310, in _handle_exception

    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])

  File "/opt/odoo/odoo/odoo/tools/pycompat.py", line 87, in reraise

    raise value

  File "/opt/odoo/odoo/odoo/http.py", line 692, in dispatch

    result = self._call_function(**self.params)

  File "/opt/odoo/odoo/odoo/http.py", line 342, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/opt/odoo/odoo/odoo/service/model.py", line 97, in wrapper

    return f(dbname, *args, **kwargs)

  File "/opt/odoo/odoo/odoo/http.py", line 335, in checked_call

    result = self.endpoint(*a, **kw)

  File "/opt/odoo/odoo/odoo/http.py", line 936, in __call__

    return self.method(*args, **kw)

  File "/opt/odoo/odoo/odoo/http.py", line 515, in response_wrap

    response = f(*args, **kw)

  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 935, in call_button

    action = self._call_kw(model, method, args, {})

  File "/opt/odoo/odoo/addons/web/controllers/main.py", line 923, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/opt/odoo/odoo/odoo/api.py", line 689, in call_kw

    return call_kw_multi(method, model, args, kwargs)

  File "/opt/odoo/odoo/odoo/api.py", line 680, in call_kw_multi

    result = method(recs, *args, **kwargs)

  File "/opt/odoo/odoo/addons/base_setup/models/res_config_settings.py", line 76, in open_default_user

    action['res_id'] = self.env.ref('base.default_user').id

  File "/opt/odoo/odoo/odoo/api.py", line 793, in ref

    return self['ir.model.data'].xmlid_to_object(xml_id, raise_if_not_found=raise_if_not_found)

  File "/opt/odoo/odoo/odoo/addons/base/ir/ir_model.py", line 1339, in xmlid_to_object

    t = self.xmlid_to_res_model_res_id(xmlid, raise_if_not_found)

  File "/opt/odoo/odoo/odoo/addons/base/ir/ir_model.py", line 1323, in xmlid_to_res_model_res_id

    return self.xmlid_lookup(xmlid)[1:3]

  File "<decorator-gen-24>", line 2, in xmlid_lookup

  File "/opt/odoo/odoo/odoo/tools/cache.py", line 89, in lookup

    value = d[key] = self.method(*args, **kwargs)

  File "/opt/odoo/odoo/odoo/addons/base/ir/ir_model.py", line 1312, in xmlid_lookup

    raise ValueError('External ID not found in the system: %s' % xmlid)

ValueError: External ID not found in the system: base.default_user

2 Comentarios
Avatar
Descartar
Avatar
Niyas Raphy
-

Just upgrade the base module and see whether it solves the issue

Avatar
Bahri Can
-

Thank you, it works. :)